# include <stdio.h>
# include <string>
# include <iostream>
# include <cstdio>
# include <cstdlib>
# include <string>
# include <vector>

using namespace std;

vector<string> split(string & s, const char & c) {
	string buffer { "" };

   	vector<string> resultado;
	
    for (char caractere : s) {
		if (caractere != c) {
			buffer += caractere;
    	} else {
		    resultado.push_back(buffer);
    	    buffer = "";
		}
	}
	if (buffer != "")
		resultado.push_back(buffer);
	
    return resultado;
}

static long ConvSeg(string tempo) {
    int horas = atoi(tempo.substr(0, 2).c_str());
    int minutos = atoi(tempo.substr(3, 5).c_str());
    int segundos = atoi(tempo.substr(6).c_str());
    return horas * 3600 + minutos * 60 + segundos;
}

int main() {

    string linha;
    long segundos;
    while (true)
    {
        getline(cin, linha);
        if(linha == "0")
        {
            break;
        }
       
        int q = atoi(linha.c_str());

        long atletas[q][2];

        for (int x = 0; x < q; x++) {
            getline(cin, linha);
            vector<string> temp = split(linha,' ');
            segundos = 0;
            for (int y = 1; y < 11; y++) {
                segundos += ConvSeg(temp[y]);
            }
            atletas[x][1] = atol(temp[0].c_str());
            atletas[x][0] = segundos;
        }

        bool ordenou = true;
        long tempcod,temptempo;
            
        while (ordenou) {
            ordenou = false;
            for (int x = 0; x < q-1; x++) {
                if(atletas[x][0]>atletas[x+1][0]){
                    tempcod = atletas[x+1][1];
                    temptempo = atletas[x+1][0];
                    atletas[x+1][1] = atletas[x][1];
                    atletas[x+1][0] = atletas[x][0];
                    atletas[x][1] = tempcod;
                    atletas[x][0] = temptempo;
                    ordenou = true;
                }
            }
        }          
        for (int x = 0; x < q; x++) {
            cout << atletas[x][1] << "\n";
        }
    }        
    return 0;
}